Core - Feature # 61799

Status: Under Review Priority: Should have
Author: Frans Saris Category: 7 Fluid CE
Created: 2014-09-22 Assigned To: Frans Saris
Updated: 2015-07-22 Due date:

PHP Version:

Complexity:

Sprint Focus:

Subject: Improve the handling of media files

Description

Currently TYPO3 CMS has no easy/working way for embedding media files into your content other than images.

There is the Media and Multimedia content element but these have some flaws for example it is not possible to use the iframe
rendering of YouTube or Vimeo movies.

Further shouldn't there be any difference for the editors between adding a video (local or remote YouTube, Vimeo etc) or an image to

a content element.

Subtasks:

Feature # 61800: Registry for adding file rendering classes
Feature # 66366: Add MediaViewHelper
Feature # 66371: Add autoplay option to

Resolved
Under Review
Under Review

Related issues:

related to Core - Feature # 25718: Support <iframe> inclusion for Media Conte...

related to Core - Bug # 33090: New way to embed youtube videos
related to TYPO3 CMS Usability Team - Suggestion # 34732: Media Content Eleme...
related to Core - Bug # 44633: Media-element: Vimeo-video can not play via HTMLS

related to Core - Feature # 49547: Media content element: HTMLS5 as standard
related to Core - Feature # 53421: Media Element

related to Core - Bug # 66853: HTML5 video tag attributes
related to Core - Epic # 61834: Create future proof Content Element with stro...

New 2011-04-01
New 2012-01-10
Needs Feedba2012-03-11
New 2013-01-18
New 2013-07-01
Under Review 2013-11-07
New 2015-05-08

Accepted 2004-05-15

2014-08-08

History

#1 - 2014-09-22 20:52 - Frans Saris

- Subject changed from Improve the handling of media file to Improve the handling of media files

#2 - 2015-07-14 10:26 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 5 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at http://review.typo3.0rg/38624

#3 - 2015-07-19 11:16 - Markus Sommer
- Assigned To set to Frans Saris

#4 - 2015-07-20 20:54 - Gerrit Code Review

Patch set 6 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

2015-08-04
http://review.typo3.org/38624

It is available at http://review.typo3.org/38624

#5 - 2015-07-21 22:07 - Frans Saris
- Category set to 7 Fluid CE

#6 - 2015-07-22 09:05 - Gerrit Code Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.0org/41800
